# TODO:
# - nm-fortisslvpn user (for dropping pppd privileges)
#
# Conditional build:
%bcond_without	gtk4	# Gtk4 version of editor plugin (GNOME 42+)

Summary:	NetworkManager VPN integration for Fortinet SSLVPN
Summary(pl.UTF-8):	Integracja NetworkManagera z Fortinet SSLVPN
Name:		NetworkManager-fortisslvpn
Version:	1.4.0
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/NetworkManager-fortisslvpn/1.4/%{name}-%{version}.tar.xz
# Source0-md5:	33e1a0c50b9032621748ff166f57fa1d
Patch0:		%{name}-ppp2.5.patch
URL:		https://wiki.gnome.org/Projects/NetworkManager
BuildRequires:	NetworkManager-devel >= 2:1.2.0
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel >= 0.19
BuildRequires:	glib2-devel >= 1:2.32
BuildRequires:	gtk+3-devel >= 3.4
%{?with_gtk4:BuildRequires:	gtk4-devel >= 4.0}
BuildRequires:	libnma-devel >= 1.8.33
%{?with_gtk4:BuildRequires:	libnma-gtk4-devel >= 1.8.33}
BuildRequires:	libsecret-devel >= 0.18
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
BuildRequires:	ppp-plugin-devel >= 3:2.5.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	NetworkManager >= 2:1.2.0
Requires:	glib2 >= 1:2.32
Requires:	gtk+3 >= 3.4
Requires:	libnma >= 1.8.33
Requires:	libsecret >= 0.18
%requires_eq_to	ppp ppp-plugin-devel
Requires:	openfortivpn
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NetworkManager VPN integration for Fortinet SSLVPN.

%description -l pl.UTF-8
Integracja NetworkManagera z Fortinet SSLVPN.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	%{?with_gtk4:--with-gtk4} \
	--with-pppd-plugin-dir=%{_libdir}/pppd/plugins
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/NetworkManager/*.la \
	$RPM_BUILD_ROOT%{_libdir}/pppd/plugins/*.la

%find_lang NetworkManager-fortisslvpn

%clean
rm -rf $RPM_BUILD_ROOT

%files -f NetworkManager-fortisslvpn.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-vpn-plugin-fortisslvpn.so
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-vpn-plugin-fortisslvpn-editor.so
%if %{with gtk4}
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-gtk4-vpn-plugin-fortisslvpn-editor.so
%endif
%attr(755,root,root) %{_libexecdir}/nm-fortisslvpn-auth-dialog
%attr(755,root,root) %{_libexecdir}/nm-fortisslvpn-pinentry
%attr(755,root,root) %{_libexecdir}/nm-fortisslvpn-service
%attr(755,root,root) %{_libdir}/pppd/plugins/nm-fortisslvpn-pppd-plugin.so
%{_prefix}/lib/NetworkManager/VPN/nm-fortisslvpn-service.name
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/nm-fortisslvpn-service.conf
%{_datadir}/appdata/network-manager-fortisslvpn.metainfo.xml
%changelog
* Sat Sep 09 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/NetworkManager-fortisslvpn.git;a=log;h=master

* Sat Sep 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 9c680f5
- don't require ppp for versioned dependency

* Sat Sep 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 53f09c9
- added ppp2.5 patch (adapt to ppp 2.5.0 changes)
- build gtk4 editor plugin by default
- release 2

* Thu Mar 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 7d233c9
- updated to 1.4.0

* Mon Feb 22 2021 Jan Rękorajski <baggins@pld-linux.org> 212557f
- release 3 (by relup.sh)

* Sat Apr 18 2020 Jan Rękorajski <baggins@pld-linux.org> ba02ac2
- rebuild for ppp 2.4.8
- release 2 (by relup.sh)

* Sat Apr 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 820d52a
- updated to 1.2.10

* Sun Oct 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 96b0eaa
- updated to 1.2.8

* Sun Dec 18 2016 Jakub Bogusz <qboosh@pld-linux.org> d0aa722
- updated to 1.2.4

* Tue Jun 21 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 1520867
- Fix path to configuration file. Release 2

* Sun Jun 19 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 2a0340d
- Update to 1.2.2

* Fri Nov 27 2015 Jakub Bogusz <qboosh@pld-linux.org> ae15a55
- updated to 1.0.8

* Sat Nov 14 2015 Jakub Bogusz <qboosh@pld-linux.org> b769697
- new

